<script lang="ts">

  import { onMount } from 'svelte';

  export let text, delay: number = 0;

  let arr = text.split('');
  let letters = '';

  onMount(() => {
    function addLetter() {
      if (arr.length) {
        letters += arr.shift();
        setTimeout(addLetter, 50);
      }
    }

    setTimeout(addLetter, delay);
  });
</script>

<span>
  {letters || text[0]}
</span>
